Package org.flowable.engine.compatibility

# Interface Flowable5CompatibilityHandler

public interface Flowable5CompatibilityHandler

Author:
  Joram Barrez, Tijs Rademakers

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `activateProcessDefinition(String processDefinitionId, String processDefinitionKey, boolean activateProcessInstances, Date activationDate, String tenantId)`
  `void`
  `activateProcessInstance(String processInstanceId)`
  `void`
  `addCandidateStarter(String processDefinitionId, String userId, String groupId)`
  `Comment`
  `addComment(String taskId, String processInstanceId, String type, String message)`
  `void`
  `addIdentityLink(String taskId, String identityId, int identityIdType, String identityType)`
  `void`
  `addIdentityLinkForProcessInstance(String processInstanceId, String userId, String groupId, String identityLinkType)`
  `void`
  `changeDeploymentTenantId(String deploymentId, String newTenantId)`
  `void`
  `claimTask(String taskId, String userId)`
  `void`
  `completeTask(org.flowable.task.service.impl.persistence.entity.TaskEntity taskEntity, Map<String,Object> variables, boolean localScope)`
  `void`
  `completeTask(org.flowable.task.service.impl.persistence.entity.TaskEntity taskEntity, Map<String,Object> variables, Map<String,Object> transientVariables)`
  `Attachment`
  `createAttachment(String attachmentType, String taskId, String processInstanceId, String attachmentName, String attachmentDescription, InputStream content, String url)`
  `void`
  `deleteAttachment(String attachmentId)`
  `void`
  `deleteCandidateStarter(String processDefinitionId, String userId, String groupId)`
  `void`
  `deleteComment(String commentId, String taskId, String processInstanceId)`
  `void`
  `deleteDeployment(String deploymentId, boolean cascade)`
  `void`
  `deleteHistoricProcessInstance(String processInstanceId)`
  `void`
  `deleteHistoricTask(String taskId)`
  `void`
  `deleteIdentityLink(String taskId, String userId, String groupId, String identityLinkType)`
  `void`
  `deleteIdentityLinkForProcessInstance(String processInstanceId, String userId, String groupId, String identityLinkType)`
  `void`
  `deleteJob(String jobId)`
  `void`
  `deleteProcessInstance(String processInstanceId, String deleteReason)`
  `void`
  `deleteTask(String taskId, String deleteReason, boolean cascade)`
  `Deployment`
  `deploy(org.flowable.engine.impl.repository.DeploymentBuilderImpl deploymentBuilder)`
  `void`
  `executeJob(Job job)`
  `void`
  `executeJobWithLockAndRetry(Job job)`
  `Object`
  `getCamelContextObject(String camelContextValue)`
  `Object`
  `getExecutionVariable(String executionId, String variableName, boolean isLocal)`
  `VariableInstance`
  `getExecutionVariableInstance(String executionId, String variableName, boolean isLocal)`
  `Map<String,VariableInstance>`
  `getExecutionVariableInstances(String executionId, Collection<String> variableNames, boolean isLocal)`
  `Map<String,Object>`
  `getExecutionVariables(String executionId, Collection<String> variableNames, boolean isLocal)`
  `ProcessEngineConfiguration`
  `getFlowable6ProcessEngineConfiguration()`
  `String`
  `getFormKey(String processDefinitionId, String taskDefinitionKey)`
  `ProcessDefinition`
  `getProcessDefinition(String processDefinitionId)`
  `BpmnModel`
  `getProcessDefinitionBpmnModel(String processDefinitionId)`
  `ProcessDefinition`
  `getProcessDefinitionByKey(String processDefinitionKey)`
  `com.fasterxml.jackson.databind.node.ObjectNode`
  `getProcessDefinitionInfo(String processDefinitionId)`
  `Process`
  `getProcessDefinitionProcessObject(String processDefinitionId)`
  `ProcessInstance`
  `getProcessInstance(String processInstanceId)`
  `Object`
  `getRawCommandExecutor()`
  `Object`
  `getRawProcessConfiguration()`
  `Object`
  `getRawProcessEngine()`
  `Object`
  `getRenderedStartForm(String processDefinitionId, String formEngineName)`
  `Object`
  `getScriptingEngineValue(String payloadExpressionValue, String languageValue, DelegateExecution execution)`
  `StartFormData`
  `getStartFormData(String processDefinitionId)`
  `TaskFormData`
  `getTaskFormData(String taskId)`
  `Map<String,Object>`
  `getVariables(ProcessInstance processInstance)`
  `void`
  `handleFailedJob(Job job, Throwable exception)`
  `boolean`
  `isProcessDefinitionSuspended(String processDefinitionId)`
  `void`
  `leaveExecution(DelegateExecution execution)`
  `void`
  `leaveMIExecution(DelegateExecution execution, Object v5MultiInstanceActivityBehavior)`
  `boolean`
  `mapException(Exception camelException, DelegateExecution execution, List<MapExceptionEntry> mapExceptions)`
  `void`
  `messageEventReceived(String messageName, String executionId, Map<String,Object> processVariables, boolean async)`
  `void`
  `propagateError(BpmnError bpmnError, DelegateExecution execution)`
  `void`
  `removeExecutionVariables(String executionId, Collection<String> variableNames, boolean isLocal)`
  `void`
  `removeTaskVariables(String taskId, Collection<String> variableNames, boolean isLocal)`
  `void`
  `resetClock()`
  `org.flowable.engine.impl.persistence.deploy.ProcessDefinitionCacheEntry`
  `resolveProcessDefinition(ProcessDefinition processDefinition)`
  `void`
  `saveAttachment(Attachment attachment)`
  `void`
  `saveTask(org.flowable.task.service.impl.persistence.entity.TaskEntity task)`
  `void`
  `setClock(org.flowable.common.engine.impl.runtime.Clock clock)`
  `void`
  `setDeploymentCategory(String deploymentId, String category)`
  `void`
  `setExecutionVariables(String executionId, Map<String,? extends Object> variables, boolean isLocal)`
  `void`
  `setFlowable6ProcessEngineConfiguration(ProcessEngineConfiguration processEngineConfiguration)`
  `void`
  `setJobProcessor(List<Object> flowable5JobProcessors)`
  `void`
  `setProcessDefinitionCategory(String processDefinitionId, String category)`
  `void`
  `setProcessInstanceName(String processInstanceId, String processInstanceName)`
  `void`
  `setTaskDueDate(String taskId, Date dueDate)`
  `void`
  `setTaskPriority(String taskId, int priority)`
  `void`
  `setTaskVariables(String taskId, Map<String,? extends Object> variables, boolean isLocal)`
  `void`
  `signalEventReceived(String signalName, String executionId, Map<String,Object> processVariables, boolean async, String tenantId)`
  `void`
  `signalEventReceived(org.flowable.eventsubscription.service.impl.persistence.entity.SignalEventSubscriptionEntity signalEventSubscriptionEntity, Object payload, boolean async)`
  `ProcessInstance`
  `startProcessInstance(String processDefinitionKey, String processDefinitionId, Map<String,Object> variables, Map<String,Object> transientVariables, String businessKey, String tenantId, String processInstanceName)`
  `ProcessInstance`
  `startProcessInstanceByMessage(String messageName, Map<String,Object> variables, Map<String,Object> transientVariables, String businessKey, String tenantId)`
  `ProcessInstance`
  `submitStartFormData(String processDefinitionId, String businessKey, Map<String,String> properties)`
  `void`
  `submitTaskFormData(String taskId, Map<String,String> properties, boolean completeTask)`
  `void`
  `suspendProcessDefinition(String processDefinitionId, String processDefinitionKey, boolean suspendProcessInstances, Date suspensionDate, String tenantId)`
  `void`
  `suspendProcessInstance(String processInstanceId)`
  `void`
  `throwErrorEvent(FlowableEvent event)`
  `void`
  `trigger(String executionId, Map<String,Object> processVariables, Map<String,Object> transientVariables)`
  `void`
  `updateBusinessKey(String processInstanceId, String businessKey)`

- ## Method Details

  - ### getProcessDefinition

    ProcessDefinition getProcessDefinition(String processDefinitionId)

  - ### getProcessDefinitionByKey

    ProcessDefinition getProcessDefinitionByKey(String processDefinitionKey)

  - ### getProcessDefinitionProcessObject

    Process getProcessDefinitionProcessObject(String processDefinitionId)

  - ### getProcessDefinitionBpmnModel

    BpmnModel getProcessDefinitionBpmnModel(String processDefinitionId)

  - ### getProcessDefinitionInfo

    com.fasterxml.jackson.databind.node.ObjectNode getProcessDefinitionInfo(String processDefinitionId)

  - ### resolveProcessDefinition

    org.flowable.engine.impl.persistence.deploy.ProcessDefinitionCacheEntry resolveProcessDefinition(ProcessDefinition processDefinition)

  - ### isProcessDefinitionSuspended

    boolean isProcessDefinitionSuspended(String processDefinitionId)

  - ### addCandidateStarter

    void addCandidateStarter(String processDefinitionId, String userId, String groupId)

  - ### deleteCandidateStarter

    void deleteCandidateStarter(String processDefinitionId, String userId, String groupId)

  - ### suspendProcessDefinition

    void suspendProcessDefinition(String processDefinitionId, String processDefinitionKey, boolean suspendProcessInstances, Date suspensionDate, String tenantId)

  - ### activateProcessDefinition

    void activateProcessDefinition(String processDefinitionId, String processDefinitionKey, boolean activateProcessInstances, Date activationDate, String tenantId)

  - ### setProcessDefinitionCategory

    void setProcessDefinitionCategory(String processDefinitionId, String category)

  - ### deploy

    Deployment deploy(org.flowable.engine.impl.repository.DeploymentBuilderImpl deploymentBuilder)

  - ### setDeploymentCategory

    void setDeploymentCategory(String deploymentId, String category)

  - ### changeDeploymentTenantId

    void changeDeploymentTenantId(String deploymentId, String newTenantId)

  - ### deleteDeployment

    void deleteDeployment(String deploymentId, boolean cascade)

  - ### startProcessInstance

    ProcessInstance startProcessInstance(String processDefinitionKey, String processDefinitionId, Map<String,Object> variables, Map<String,Object> transientVariables, String businessKey, String tenantId, String processInstanceName)

  - ### startProcessInstanceByMessage

    ProcessInstance startProcessInstanceByMessage(String messageName, Map<String,Object> variables, Map<String,Object> transientVariables, String businessKey, String tenantId)

  - ### getProcessInstance

    ProcessInstance getProcessInstance(String processInstanceId)

  - ### setProcessInstanceName

    void setProcessInstanceName(String processInstanceId, String processInstanceName)

  - ### getExecutionVariable

    Object getExecutionVariable(String executionId, String variableName, boolean isLocal)

  - ### getExecutionVariableInstance

    VariableInstance getExecutionVariableInstance(String executionId, String variableName, boolean isLocal)

  - ### getExecutionVariables

    Map<String,Object> getExecutionVariables(String executionId, Collection<String> variableNames, boolean isLocal)

  - ### getExecutionVariableInstances

    Map<String,VariableInstance> getExecutionVariableInstances(String executionId, Collection<String> variableNames, boolean isLocal)

  - ### setExecutionVariables

    void setExecutionVariables(String executionId, Map<String,? extends Object> variables, boolean isLocal)

  - ### removeExecutionVariables

    void removeExecutionVariables(String executionId, Collection<String> variableNames, boolean isLocal)

  - ### updateBusinessKey

    void updateBusinessKey(String processInstanceId, String businessKey)

  - ### suspendProcessInstance

    void suspendProcessInstance(String processInstanceId)

  - ### activateProcessInstance

    void activateProcessInstance(String processInstanceId)

  - ### addIdentityLinkForProcessInstance

    void addIdentityLinkForProcessInstance(String processInstanceId, String userId, String groupId, String identityLinkType)

  - ### deleteIdentityLinkForProcessInstance

    void deleteIdentityLinkForProcessInstance(String processInstanceId, String userId, String groupId, String identityLinkType)

  - ### deleteProcessInstance

    void deleteProcessInstance(String processInstanceId, String deleteReason)

  - ### deleteHistoricProcessInstance

    void deleteHistoricProcessInstance(String processInstanceId)

  - ### completeTask

    void completeTask(org.flowable.task.service.impl.persistence.entity.TaskEntity taskEntity, Map<String,Object> variables, boolean localScope)

  - ### completeTask

    void completeTask(org.flowable.task.service.impl.persistence.entity.TaskEntity taskEntity, Map<String,Object> variables, Map<String,Object> transientVariables)

  - ### claimTask

    void claimTask(String taskId, String userId)

  - ### setTaskVariables

    void setTaskVariables(String taskId, Map<String,? extends Object> variables, boolean isLocal)

  - ### removeTaskVariables

    void removeTaskVariables(String taskId, Collection<String> variableNames, boolean isLocal)

  - ### setTaskDueDate

    void setTaskDueDate(String taskId, Date dueDate)

  - ### setTaskPriority

    void setTaskPriority(String taskId, int priority)

  - ### deleteTask

    void deleteTask(String taskId, String deleteReason, boolean cascade)

  - ### deleteHistoricTask

    void deleteHistoricTask(String taskId)

  - ### getStartFormData

    StartFormData getStartFormData(String processDefinitionId)

  - ### getFormKey

    String getFormKey(String processDefinitionId, String taskDefinitionKey)

  - ### getRenderedStartForm

    Object getRenderedStartForm(String processDefinitionId, String formEngineName)

  - ### submitStartFormData

    ProcessInstance submitStartFormData(String processDefinitionId, String businessKey, Map<String,String> properties)

  - ### getTaskFormData

    TaskFormData getTaskFormData(String taskId)

  - ### submitTaskFormData

    void submitTaskFormData(String taskId, Map<String,String> properties, boolean completeTask)

  - ### saveTask

    void saveTask(org.flowable.task.service.impl.persistence.entity.TaskEntity task)

  - ### addIdentityLink

    void addIdentityLink(String taskId, String identityId, int identityIdType, String identityType)

  - ### deleteIdentityLink

    void deleteIdentityLink(String taskId, String userId, String groupId, String identityLinkType)

  - ### addComment

    Comment addComment(String taskId, String processInstanceId, String type, String message)

  - ### deleteComment

    void deleteComment(String commentId, String taskId, String processInstanceId)

  - ### createAttachment

    Attachment createAttachment(String attachmentType, String taskId, String processInstanceId, String attachmentName, String attachmentDescription, InputStream content, String url)

  - ### saveAttachment

    void saveAttachment(Attachment attachment)

  - ### deleteAttachment

    void deleteAttachment(String attachmentId)

  - ### trigger

    void trigger(String executionId, Map<String,Object> processVariables, Map<String,Object> transientVariables)

  - ### messageEventReceived

    void messageEventReceived(String messageName, String executionId, Map<String,Object> processVariables, boolean async)

  - ### signalEventReceived

    void signalEventReceived(String signalName, String executionId, Map<String,Object> processVariables, boolean async, String tenantId)

  - ### signalEventReceived

    void signalEventReceived(org.flowable.eventsubscription.service.impl.persistence.entity.SignalEventSubscriptionEntity signalEventSubscriptionEntity, Object payload, boolean async)

  - ### executeJob

    void executeJob(Job job)

  - ### executeJobWithLockAndRetry

    void executeJobWithLockAndRetry(Job job)

  - ### handleFailedJob

    void handleFailedJob(Job job, Throwable exception)

  - ### deleteJob

    void deleteJob(String jobId)

  - ### leaveExecution

    void leaveExecution(DelegateExecution execution)

  - ### leaveMIExecution

    void leaveMIExecution(DelegateExecution execution, Object v5MultiInstanceActivityBehavior)

  - ### propagateError

    void propagateError(BpmnError bpmnError, DelegateExecution execution)

  - ### mapException

    boolean mapException(Exception camelException, DelegateExecution execution, List<MapExceptionEntry> mapExceptions)

  - ### getVariables

    Map<String,Object> getVariables(ProcessInstance processInstance)

  - ### getScriptingEngineValue

    Object getScriptingEngineValue(String payloadExpressionValue, String languageValue, DelegateExecution execution)

  - ### throwErrorEvent

    void throwErrorEvent(FlowableEvent event)

  - ### setClock

    void setClock(org.flowable.common.engine.impl.runtime.Clock clock)

  - ### resetClock

    void resetClock()

  - ### getRawProcessEngine

    Object getRawProcessEngine()

  - ### getRawProcessConfiguration

    Object getRawProcessConfiguration()

  - ### getRawCommandExecutor

    Object getRawCommandExecutor()

  - ### getFlowable6ProcessEngineConfiguration

    ProcessEngineConfiguration getFlowable6ProcessEngineConfiguration()

  - ### setFlowable6ProcessEngineConfiguration

    void setFlowable6ProcessEngineConfiguration(ProcessEngineConfiguration processEngineConfiguration)

  - ### getCamelContextObject

    Object getCamelContextObject(String camelContextValue)

  - ### setJobProcessor

    void setJobProcessor(List<Object> flowable5JobProcessors)